# Poco

# class Base32Encoder

Library: Foundation
Package: Streams
Header: Poco/Base32Encoder.h

## Description

This ostream base32-encodes all data written to it and forwards it to a connected ostream. Always call close() when done writing data, to ensure proper completion of the encoding operation.

The class implements RFC 4648 - https://tools.ietf.org/html/rfc4648

Note: The characters are directly written to the ostream's streambuf, thus bypassing the ostream. The ostream's state is therefore not updated to match the buffer's state.

## Inheritance

Direct Base Classes: Base32EncoderIOS, std::ostream

All Base Classes: Base32EncoderIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: close, rdbuf

## Constructors

### Base32Encoder

Base32Encoder(
std::ostream & ostr,
bool padding = true
);

## Destructor

### ~Base32Encoder

~Base32Encoder();